# QToolTip Class Reference

### [com.trolltech.qt.gui package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QToolTip prototype object
- QFont font()
- void hideText()
- bool isVisible()
- QPalette palette()
- void setFont(QFont arg__1)
- void setPalette(QPalette arg__1)
- void showText(QPoint pos, String text, QWidget w)
- String text()

### Instance Properties

QToolTip objects have no special properties beyond those inherited from the QToolTip prototype object.